apd_set_session
rename_function
APD Functions
PHP Manual

# override_function

Overrides built-in functions

### Description

bool override_function ( string `$function_name` , string `$function_args` , string `$function_code` )

Overrides built-in functions by replacing them in the symbol table.

### Parameters

`function_name`

  The function to override.

`function_args`

  The function arguments, as a comma separated string.

  Usually you will want to pass this parameter, as well as the `function_code` parameter, as a single quote delimited string. The reason for using single quoted strings, is to protect the variable names from parsing, otherwise, if you use double quotes there will be a need to escape the variable names, e.g. \$your_var.

`function_code`

  The new code for the function.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 override_function example

`<?php
override_function('test', '$a,$b', 'echo "DOING TEST"; return $a * $b;');
?>`